### Method

# Clutter Actor get_x

#### Declaration [src]

    gfloat
    clutter_actor_get_x (
      ClutterActor* self
    )

#### Description [src]

Retrieves the X coordinate of a `ClutterActor`.

This function tries to “do what you mean”, by returning the correct value depending on the actor’s state.

If the actor has a valid allocation, this function will return the X coordinate of the origin of the allocation box.

If the actor has any fixed coordinate set using `clutter_actor_set_x()`, `clutter_actor_set_position()`, this function will return that coordinate.

If both the allocation and a fixed position are missing, this function will return 0.

Gets property | `Clutter.Actor:x`

#### Return value

Type: `gfloat`

The X coordinate, in pixels, ignoring any transformation (i.e. scaling, rotation).